Qt 5.6 | Qt 3D | C++ Classes | QNoDraw

Qt 5.6.3 Reference Documentation

# QNoDraw Class

(Qt3DRender::QNoDraw)

When a QNoDraw node is present in a FrameGraph branch, this prevents the renderer from rendering any primitive. More...

Header: | #include <QNoDraw>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QNoDraw(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QNoDraw()

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode
- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

When a QNoDraw node is present in a FrameGraph branch, this prevents the renderer from rendering any primitive.

QNoDraw should be used when the FrameGraph needs to set up some render states or clear some buffers without requiring any mesh to be drawn. It has the same effect as having a Qt3DRender::QRenderPassFilter that matches none of available Qt3DRender::QRenderPass instances of the scene without the overhead cost of actually performing the filtering.

## Member Function Documentation

### QNoDraw::QNoDraw(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QNoDraw.

### QNoDraw::~QNoDraw()

Destroys the instance of QNoDraw.